﻿//  This file is part of Just-In WhitePages.
//
//   Just-In WhitePages is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   Just-In WhitePages is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with Just-In WhitePages.  If not, see <http://www.gnu.org/licenses/>.
using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.DirectoryServices;
using WhitePages.Directory;

namespace WhitePages
{
    public partial class Chain : System.Web.UI.Page
    {
        string distinquishedName;
        DirectoryEntry ResultRecord;

        protected void LoadData()
        {
            this.distinquishedName = Request.QueryString["dn"];
            DirectoryEntry parent = DirectoryLookup.GetRecord(this.distinquishedName);
            string parentDn = this.distinquishedName;
            Stack<DirectoryEntry> results = new Stack<DirectoryEntry>();
            int maxDepth = Settings.ChainMaxDepth;
            int depth = 1;

            lblTitle.Text = DirectoryLookup.GetProperty(parent, WhitePages.Settings.TitleProperty);

            while (parentDn.Length > 0)
            {
                if (depth > maxDepth)
                    break;
                results.Push(parent);
                parentDn = (parent.Properties["manager"].Count == 1) ? (string)parent.Properties["manager"][0] : string.Empty;
                parent = DirectoryLookup.GetRecord(parentDn);
                depth += 1;
            }

            repChain.DataSource = results;
            repChain.DataBind();
        }

        protected string DsEval(object de, string propertyName)
        {
            return util.DsEval(de, propertyName);
        }

        private int indent = 0;
        protected string GetResultStyle()
        {
            this.indent += 1;
            return string.Format("margin-left: {0}em;", indent);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                this.LoadData();
            }
        }
    }
}
