﻿<%@Page Title="Detail" Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeBehind="Detail.aspx.cs" Inherits="WhitePages.Detail" %>
<%--
//  This file is part of Just-In WhitePages.
//
//   Just-In WhitePages is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   Just-In WhitePages is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with Just-In WhitePages.  If not, see <http://www.gnu.org/licenses/>.
--%>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cbody" runat="server">
<asp:ScriptManager runat="server" ID="sm" EnablePartialRendering="true" />

<script type="text/javascript" src="scripts.js"></script>
<script type="text/javascript" src="scripts/Arda.common.js"></script>
<script type="text/javascript" src="scripts/Arda.popup.js"></script>

<script type="text/javascript">
    var ClientIdPrefix = "ctl00_cbody_";
    
    function CloseFindUser(txt,val) {
        var popupid = 'panFindUser';
        var popup = Arda.object(popupid);
        popup.hide();
        document.getElementById(popup.TextFieldID).value = txt;
        document.getElementById(popup.ValueFieldID).value = val;
    }
    function OpenFindUser(el,txtid,valid) {
        var popupid = 'panFindUser';
        var popup = Arda.object(popupid);
        var act = Arda.object(el);

        popup.TextFieldID = ClientIdPrefix+txtid;
        popup.ValueFieldID = ClientIdPrefix+valid;
                       
        if (!act)
            act = Arda.PopupAct.create(el, 'showhide', 'click', null, popupid, { onShow: function() { document.getElementById("<%=txtFindUser.ClientID%>").focus(); } });

        el.click();      
        
        return false;
    }
    function ClearFindUser() {
        var btn = document.getElementById("<%=btnClearFindUser.ClientID%>");
        btn.click();
    }
    function ClearUserField(txt, val) {
        document.getElementById(ClientIdPrefix + txt).value = '';
        document.getElementById(ClientIdPrefix + val).value = '';
        return false;
    }   
</script>

<asp:PlaceHolder runat="server" ID="phPassword" Visible="false">
    <div class="pwdbox">
        <div class="pwdlabel">You must enter your account password to authorize this change:</div>
        <div><asp:TextBox runat="server" ID="txtPassword" TextMode="Password" Columns="40"></asp:TextBox></div>
        <div><asp:RequiredFieldValidator runat="server" ID="rfvPassword" ControlToValidate="txtPassword" ErrorMessage="Please enter your account password in the space above." CssClass="validator" Display="Dynamic" /></div>
    </div>
</asp:PlaceHolder>

<asp:PlaceHolder runat="server" ID="phUserAndPassword" Visible="false">
    <div class="pwdbox">
        <div class="error">This record could not be updated because permission was denied.</div>
        <div class="pwdlabel">Please enter the username and password of an account with permission to update this record:</div>
        <div>Username: <asp:TextBox runat="server" ID="txtAdminUserName" Columns="40"></asp:TextBox></div>
        <div>Password: <asp:TextBox runat="server" ID="txtAdminPassword" Columns="40" TextMode="Password"></asp:TextBox></div>
        <div><asp:RequiredFieldValidator runat="server" ID="rfvAdminPassword" ControlToValidate="txtAdminUserName" ErrorMessage="Please enter a username and password in the space above." CssClass="validator" Display="Dynamic" /></div>
    </div>
</asp:PlaceHolder>

<div class="btnbox">
    <asp:LinkButton runat="server" ID="btnEdit" Text="Modify this Entry" Visible="false" onclick="btnEdit_Click"></asp:LinkButton>
    <asp:LinkButton runat="server" ID="btnSave" Text="Save Changes" Visible="false" onclick="btnSave_Click"></asp:LinkButton>
    <asp:Label runat="server" ID="lblError" EnableViewState="false" CssClass="error"></asp:Label>
</div>

<h2>
    <asp:Label runat='server' ID="lblRecordTitle"></asp:Label>
</h2>

<div class="propcontainer">   
    <asp:Table runat="server" ID="tblProps" CssClass="detail" EnableViewState="true">
    </asp:Table>
</div>

<div class="directReports">
    <asp:Repeater runat="server" ID="repDirectReports">
        <HeaderTemplate>
            <h2>Direct Reports</h2>
            <div class="chain">
            <ul>
        </HeaderTemplate>       
        <ItemTemplate>
            <li>
                <a href="Detail.aspx?dn=<%#Server.UrlEncode((string)Eval("distinguishedName"))%>"><%#Eval(WhitePages.Settings.DisplayNameProperty)%></a>&nbsp;<span class="chain-title"><%#Eval("title")%></span>
            </li>
        </ItemTemplate>
        <FooterTemplate>
            </ul>
            </div>
        </FooterTemplate>
    </asp:Repeater>
</div>



<div id="panFindUser" class="modalDialog" style='width:400px;display:none'>
    <asp:UpdatePanel runat="server" ID="upFindUser">
        <ContentTemplate>
            <h1>Find User</h1>
            <div>
                <asp:TextBox runat="server" ID="txtFindUser" Columns="40"></asp:TextBox>
                <asp:Button runat="server" ID="btnFindUser" Text="Find" 
                    onclick="btnFindUser_Click" CausesValidation="false"/>
            </div>
            <div style='height: 150px; overflow-y: scroll; background-color: #FFF;'>
                <asp:Repeater runat="server" ID="repFindUserResults">
                    <ItemTemplate>
                        <div style='margin: 2px 0px 4px 1px; border-bottom: solid 1px #CCC;'><a href="javascript:CloseFindUser('<%#Eval(WhitePages.Settings.DisplayNameProperty)%>','<%#((string)Eval("distinguishedName")).Replace("\\","\\\\")%>');"><%#Eval(WhitePages.Settings.DisplayNameProperty)%></a></div>
                    </ItemTemplate>
                </asp:Repeater>
            </div>              
            <asp:Button runat="server" ID="btnClearFindUser" OnClick="btnClearFindUser_Click" style='display:none' />
        </ContentTemplate>
    </asp:UpdatePanel>
    <div class="btnbox">
        <a href="javascript:void();" ID="btnCancelFindUser">Cancel</a>        
    </div>
</div>

<script type="text/javascript">
    Arda.Popup.create('panFindUser', { prefPos: 8, onHide: function() { ClearFindUser() } });
    Arda.PopupAct.create('btnCancelFindUser', 'hide', 'click', '', 'panFindUser', null);
</script>

</asp:Content>
